
Katello - Bug #7026

Errata - Date and Content filter is not functional

08/11/2014 02:59 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1128471 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/456
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128471

Description of problem:

Errata - Date and Content filter is not functional

Version-Release number of selected component (if applicable):

GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.38-1.el6sat.noarch

foreman-compute-1.6.0.38-1.el6sat.noarch

foreman-gce-1.6.0.38-1.el6sat.noarch

foreman-libvirt-1.6.0.38-1.el6sat.noarch

foreman-ovirt-1.6.0.38-1.el6sat.noarch

foreman-postgresql-1.6.0.38-1.el6sat.noarch

foreman-proxy-1.6.0.23-1.el6sat.noarch

foreman-selinux-1.6.0.4-1.el6sat.noarch

foreman-vmware-1.6.0.38-1.el6sat.noarch

katello-1.5.0-28.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.57-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:

Always
Steps to Reproduce:

1. Create a content view

2. Select content view -> Content Tab -> Filters

3. Click +New Filter

4. Enter Name, Content Type -> Errata - Date and Type -> Include. Click Save

5. Select the filter -> Add Tab

6. Check Security, Enhancement, Bug Fix

7. Enter Start Date and End Date

8. Click Save

Actual results:

Nothing happens when clicking on Save.

Expected results.

Save button and hence Errata - Date and Content filter should be functional

Additional info:

Associated revisions

Revision 65f20967 - 08/11/2014 03:03 PM - Walden Raines

Fixes #7026/BZ1128471: fix error on updating errata date range filter.

There was an error when updating an errata data range filter.  This

commit fixes the error as well as displays error messages on the form

in the event of a legitimate error.

http://projects.theforeman.org/issues/7026

https://bugzilla.redhat.com/show_bug.cgi?id=1128471

Revision 81ee23aa - 08/11/2014 03:03 PM - Walden Raines

Fixes #7026/BZ1128471: fix error on updating errata date range filter.

There was an error when updating an errata data range filter.  This

commit fixes the error as well as displays error messages on the form

in the event of a legitimate error.

http://projects.theforeman.org/issues/7026

https://bugzilla.redhat.com/show_bug.cgi?id=1128471

Revision 8b042899 - 08/11/2014 04:43 PM - Walden Raines

Merge pull request #4562 from waldenraines/7026

Fixes #7026/BZ1128471: fix error on updating errata date range filter.

History

#1 - 08/11/2014 03:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4562 added

- Pull request deleted ()

#2 - 08/11/2014 05:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|65f20967c7660885099ec135f699c4036292ef86.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
